Bug 235103 - audio/lv2: Add missing dependencies, Fix Python 3.7 build error, Update to 1.16.0
Summary: audio/lv2: Add missing dependencies, Fix Python 3.7 build error, Update to 1...
Status: In Progress
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kubilay Kocak
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2019-01-21 10:08 UTC by Charlie Li
Modified: 2019-05-24 09:56 UTC (History)
2 users (show)

See Also:
beerml: maintainer-feedback+
koobs: merge-quarterly?


Attachments
lv2-python.patch (868 bytes, patch)
2019-01-21 10:08 UTC, Charlie Li
no flags Details | Diff
Update to version 1.16.0 including fix for python bug + add missing dependencies (3.46 KB, patch)
2019-02-06 20:44 UTC, Michael Beer
beerml: maintainer-approval+
Details | Diff
lv2-1.14.0 - fix python build bug and missing dependencies (888 bytes, patch)
2019-04-21 09:43 UTC, Charlie Li
koobs: maintainer-approval+
Details | Diff
lv2-1.16.0 (3.38 KB, patch)
2019-04-21 09:47 UTC, Charlie Li
koobs: maintainer-approval+
Details | Diff
lv2-1.14.0 - fix python build bug and missing dependencies (1.02 KB, patch)
2019-04-21 10:00 UTC, Charlie Li
ml+freebsd: maintainer-approval+
Details | Diff
lv2-1.16.0 (3.39 KB, patch)
2019-04-21 10:02 UTC, Charlie Li
ml+freebsd: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Charlie Li 2019-01-21 10:08:08 UTC
Created attachment 201303 [details]
lv2-python.patch

While lv2 itself works fine with any Python version we support, the build fails using a Python greater than 3.6, since the build pulls in and uses an old version of waf. waf upstream fixed the bug in a later version:

https://gitlab.com/ita1024/waf/commit/facdc0b173d933073832c768ec1917c553cb369c

Restrict Python to 3.6 and under for now.

This passes poudriere-testport.
Comment 1 Carlo Strub freebsd_committer 2019-01-31 21:43:00 UTC
There are several missing dependencies. I get the following warnings:

Warning: you need USE_GNOME+=gdkpixbuf2
Error: /usr/local/lib/lv2/eg-sampler.lv2/sampler_ui.so is linked to /usr/local/lib/libfontconfig.so.1 from x11-fonts/fontconfig but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libfontconfig.so:x11-fonts/fontconfig
Error: /usr/local/lib/lv2/eg-sampler.lv2/sampler_ui.so is linked to /usr/local/lib/libfreetype.so.6 from print/freetype2 but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libfreetype.so:print/freetype2

Please have a look.
Comment 2 Michael Beer 2019-02-06 20:44:46 UTC
Created attachment 201801 [details]
Update to version 1.16.0 including fix for python bug + add missing dependencies

This update to the latest lv2 version should fix the python issue with python 3.7 according to the release notes.
Furthermore I added additional dependencies (fontconfig, freetype, pango) for the example plugins.
Comment 3 Charlie Li 2019-04-21 08:59:50 UTC
With the 1.16.0 patch, testport with Python 3.7 LGTM.
Comment 4 Charlie Li 2019-04-21 09:43:11 UTC
Created attachment 203853 [details]
lv2-1.14.0 - fix python build bug and missing dependencies

After discussion on IRC, it was found that 1.14.0 in quarterly is also broken. Since 1.16.0 introduces new features, not just bug fixes, separate out unbreaking the build and the new version update.

This patch unbreaks the build suitable for MFH. This also fixes the warnings about missing dependencies in the QA check.
Comment 5 Charlie Li 2019-04-21 09:47:47 UTC
Created attachment 203854 [details]
lv2-1.16.0

This patch updates lv2 to 1.16.0. To be applied after and separately from the build unbreaking.
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2019-04-21 09:51:40 UTC
Comment on attachment 203853 [details]
lv2-1.14.0 - fix python build bug and missing dependencies

Previously approved
Comment 7 Kubilay Kocak freebsd_committer freebsd_triage 2019-04-21 09:52:24 UTC
Comment on attachment 203854 [details]
lv2-1.16.0

Previously approved
Comment 8 Charlie Li 2019-04-21 10:00:16 UTC
Created attachment 203855 [details]
lv2-1.14.0 - fix python build bug and missing dependencies

Reroll to accommodate a PORTREVISION bump.
Comment 9 Charlie Li 2019-04-21 10:02:27 UTC
Created attachment 203856 [details]
lv2-1.16.0

Reroll due to Part I's PORTREVISION bump. Again, previously approved.
Comment 10 Kubilay Kocak freebsd_committer freebsd_triage 2019-04-21 10:12:57 UTC
Assignee timeout (6 weeks)
Comment 11 commit-hook freebsd_committer 2019-04-22 10:30:39 UTC
A commit references this bug:

Author: koobs
Date: Mon Apr 22 10:30:04 UTC 2019
New revision: 499627
URL: https://svnweb.freebsd.org/changeset/ports/499627

Log:
  audio/lv2: Fix Python (3.x) build, Add missing dependencies

  While lv2 itself works fine with any Python version we support, the build
  fails using a Python > 3.6, since the build bundles an old version of waf.

  waf upstream fixed the bug in a later version. [1]

  Restrict Python to up to 3.6 for now. [2]

  While here:

    - Add missing dependencies identified in QA. [3]
    - Pet portlint (USES order)

  [1] https://gitlab.com/ita1024/waf/commit/facdc0b173d933073832c768ec1917c553cb369c

  PR:		235103
  Reported by:	cs [3]
  Submitted by:	Charlie Li <ml+freebsd vishwin info> [2][3]
  Approved by:	Michael Beer <beerml sigma6audio de>
  MFH:		2019Q2 (blanket: build fix, missing dependencies)

Changes:
  head/audio/lv2/Makefile
Comment 12 Kubilay Kocak freebsd_committer freebsd_triage 2019-04-23 05:35:15 UTC
(In reply to Charlie Li from comment #9)

A couple of questions:

1) The update removes/changes several lv2core files/filenames, including:

  libdata/pkgconfig/lv2core.pc

Is this expected, and if so, will/does this affect any consumer ports relying on this port?

2) The lv2core port was deprecated/removed in the past, referring consumers to use this port instead. I imagine the CONFLICTS_INSTALL=lv2core entry in this port is now no longer required

3) -EXAMPLES_CONFIGURE_ENV=        CC='${CC} -Wl,--as-needed' # Gtk deps

This is not noted in this bugs comments. Is this expected and what is the rationale/explanation?
Comment 13 Kubilay Kocak freebsd_committer freebsd_triage 2019-04-23 13:42:32 UTC
(In reply to Michael Beer from comment #2)

@Michael Apologies, questions from comment 12 were supposed to be for you (as patch author)
Comment 14 Michael Beer 2019-04-25 20:30:25 UTC
(In reply to Kubilay Kocak from comment #12)

To answer your questions:

1) This is expected as lv2core is deprecated for quite a long time now.
   I don't expect that there are still ports using lv2core.pc as all the lv2 stuff
   is quite up-to-date. However I haven't tested this explicitly.
   If so nevertheless, this should rather be fixed in the related ports.
2) Yes, CONFLICTS_INSTALL=lv2core can be removed.
3) Honestly I don't know exactly what this line was about. I guess adding all 
   the not explicitly specified gtk dependencies (e.g. pango) which are now
   specified in EXAMPLES_USE= GNOME=atk,cairo,gdkpixbuf2,glib20,gtk20,pango
Comment 15 commit-hook freebsd_committer 2019-05-24 09:53:23 UTC
A commit references this bug:

Author: koobs
Date: Fri May 24 09:52:56 UTC 2019
New revision: 502442
URL: https://svnweb.freebsd.org/changeset/ports/502442

Log:
  audio/lv2: Remove CONFLICTS_INSTALL

  lv2core expired and was deleted on 2016-11-30 in ports r427460

  I only noted this after committing ports r499627, so remove it accordingly.

  PR:		235103
  Approved by:	Michael Beer <beerml sigma6audio de> (maintainer)
  MFH:		2019Q2 (MFH with: r499627)

Changes:
  head/audio/lv2/Makefile
Comment 16 commit-hook freebsd_committer 2019-05-24 09:56:28 UTC
A commit references this bug:

Author: koobs
Date: Fri May 24 09:55:40 UTC 2019
New revision: 502443
URL: https://svnweb.freebsd.org/changeset/ports/502443

Log:
  MFH: audio/lv2: r499627 r502442

  audio/lv2: Fix Python (3.x) build, Add missing dependencies

  While lv2 itself works fine with any Python version we support, the build
  fails using a Python > 3.6, since the build bundles an old version of waf.

  waf upstream fixed the bug in a later version. [1]

  Restrict Python to up to 3.6 for now. [2]

  While here:

    - Add missing dependencies identified in QA. [3]
    - Pet portlint (USES order)

  [1] https://gitlab.com/ita1024/waf/commit/facdc0b173d933073832c768ec1917c553cb369c

  PR:		235103
  Reported by:	cs [3]
  Submitted by:	Charlie Li <ml+freebsd vishwin info> [2][3]
  Approved by:	Michael Beer <beerml sigma6audio de>

  audio/lv2: Remove CONFLICTS_INSTALL

  lv2core expired and was deleted on 2016-11-30 in ports r427460

  I only noted this after committing ports r499627, so remove it accordingly.

  PR:		235103
  Approved by:	Michael Beer <beerml sigma6audio de> (maintainer)

  Approved by:	ports-secteam (blanket: build fix, missing dependencies)

Changes:
_U  branches/2019Q2/
  branches/2019Q2/audio/lv2/Makefile
Comment 17 commit-hook freebsd_committer 2019-05-24 09:56:30 UTC
A commit references this bug:

Author: koobs
Date: Fri May 24 09:55:40 UTC 2019
New revision: 502443
URL: https://svnweb.freebsd.org/changeset/ports/502443

Log:
  MFH: audio/lv2: r499627 r502442

  audio/lv2: Fix Python (3.x) build, Add missing dependencies

  While lv2 itself works fine with any Python version we support, the build
  fails using a Python > 3.6, since the build bundles an old version of waf.

  waf upstream fixed the bug in a later version. [1]

  Restrict Python to up to 3.6 for now. [2]

  While here:

    - Add missing dependencies identified in QA. [3]
    - Pet portlint (USES order)

  [1] https://gitlab.com/ita1024/waf/commit/facdc0b173d933073832c768ec1917c553cb369c

  PR:		235103
  Reported by:	cs [3]
  Submitted by:	Charlie Li <ml+freebsd vishwin info> [2][3]
  Approved by:	Michael Beer <beerml sigma6audio de>

  audio/lv2: Remove CONFLICTS_INSTALL

  lv2core expired and was deleted on 2016-11-30 in ports r427460

  I only noted this after committing ports r499627, so remove it accordingly.

  PR:		235103
  Approved by:	Michael Beer <beerml sigma6audio de> (maintainer)

  Approved by:	ports-secteam (blanket: build fix, missing dependencies)

Changes:
_U  branches/2019Q2/
  branches/2019Q2/audio/lv2/Makefile